summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2000-06-07 20:41:51 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2000-06-07 20:41:51 (GMT)
commit12e9676504dae48a50904058a0e6a7ffe8ee4111 (patch)
treef8b3b7f23f0c39a46b88fd4ed5dc9c543eef1768 /bin
parent73ef4b96dba12eb728d28a5e17a8b8c50e7d95f1 (diff)
downloadhdf5-12e9676504dae48a50904058a0e6a7ffe8ee4111.zip
hdf5-12e9676504dae48a50904058a0e6a7ffe8ee4111.tar.gz
hdf5-12e9676504dae48a50904058a0e6a7ffe8ee4111.tar.bz2
[svn-r2363] Changed the file searching pattern to look for end of line to match
a complete file name. This distinguish file ./config/unicos from ./config/unicosmk. Tossed in a cleanup feature by removing the temporary file when finished.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/chkmanifest5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/chkmanifest b/bin/chkmanifest
index 63612c8..a6f56a2 100755
--- a/bin/chkmanifest
+++ b/bin/chkmanifest
@@ -7,6 +7,9 @@
verbose=yes
MANIFEST=/tmp/H5_MANIFEST.$$
+# clean up $MANIFEST file when exits
+trap "rm -f $MANIFEST" 0
+
# Copy the manifest file to get a list of file names.
grep '^\.' MANIFEST | expand | cut -f1 -d' ' >$MANIFEST
@@ -21,7 +24,7 @@ done
for cvs in `find . -type d -name CVS -print`; do
path=`echo $cvs |sed 's/\/CVS//'`
for file in `grep '^\/' $cvs/Entries |cut -d/ -f2`; do
- if (grep $path/$file $MANIFEST >/dev/null); then
+ if (grep $path/$file$ $MANIFEST >/dev/null); then
:
else
echo "+ $path/$file"